Tool: update_hook
Update a Secure Source Manager hook.
The following code sample shows how to use curl to call the update_hook MCP tool.
| Curl Request |
|---|
curl --location 'https://securesourcemanager.europe-west4.rep.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "update_hook", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
UpdateHookRequest is the request to update a hook.
UpdateHookRequest
| JSON representation |
|---|
{
"updateMask": string,
"hook": {
object ( |
| Fields | |
|---|---|
updateMask |
Optional. Field mask is used to specify the fields to be overwritten in the hook resource by the update. The fields specified in the update_mask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. The special value "*" means full replacement. This is a comma-separated list of fully qualified names of fields. Example: |
hook |
Required. The hook being updated. |
FieldMask
| JSON representation |
|---|
{ "paths": [ string ] } |
| Fields | |
|---|---|
paths[] |
The set of field mask paths. |
Hook
| JSON representation |
|---|
{ "name": string, "targetUri": string, "disabled": boolean, "events": [ enum ( |
| Fields | |
|---|---|
name |
Identifier. A unique identifier for a Hook. The name should be of the format: |
targetUri |
Required. The target URI to which the payloads will be delivered. |
disabled |
Optional. Determines if the hook disabled or not. Set to true to stop sending traffic. |
events[] |
Optional. The events that trigger hook on. |
createTime |
Output only. Create timestamp. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
updateTime |
Output only. Update timestamp. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
uid |
Output only. Unique identifier of the hook. |
pushOption |
Optional. The trigger option for push events. |
sensitiveQueryString |
Optional. The sensitive query string to be appended to the target URI. |
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
PushOption
| JSON representation |
|---|
{ "branchFilter": string } |
| Fields | |
|---|---|
branchFilter |
Optional. Trigger hook for matching branches only. Specified as glob pattern. If empty or , events for all branches are reported. Examples: main, {main,release}. See https://pkg.go.dev/github.com/gobwas/glob documentation. |
HookEventType
| Enums | |
|---|---|
UNSPECIFIED |
Unspecified. |
PUSH |
Push events are triggered when pushing to the repository. |
PULL_REQUEST |
Pull request events are triggered when a pull request is opened, closed, reopened, or edited. |
Output Schema
This resource represents a long-running operation that is the result of a network API call.
Operation
| JSON representation |
|---|
{ "name": string, "metadata": { "@type": string, field1: ..., ... }, "done": boolean, // Union field |
| Fields | |
|---|---|
name |
The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the |
metadata |
Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any. An object containing fields of an arbitrary type. An additional field |
done |
If the value is |
Union field result. The operation result, which can be either an error or a valid response. If done == false, neither error nor response is set. If done == true, exactly one of error or response can be set. Some services might not provide the result. result can be only one of the following: |
|
error |
The error result of the operation in case of failure or cancellation. |
response |
The normal, successful response of the operation. If the original method returns no data on success, such as An object containing fields of an arbitrary type. An additional field |
Any
| JSON representation |
|---|
{ "typeUrl": string, "value": string } |
| Fields | |
|---|---|
typeUrl |
Identifies the type of the serialized Protobuf message with a URI reference consisting of a prefix ending in a slash and the fully-qualified type name. Example: type.googleapis.com/google.protobuf.StringValue This string must contain at least one The prefix is arbitrary and Protobuf implementations are expected to simply strip off everything up to and including the last All type URL strings must be legal URI references with the additional restriction (for the text format) that the content of the reference must consist only of alphanumeric characters, percent-encoded escapes, and characters in the following set (not including the outer backticks): In the original design of |
value |
Holds a Protobuf serialization of the type described by type_url. A base64-encoded string. |
Status
| JSON representation |
|---|
{ "code": integer, "message": string, "details": [ { "@type": string, field1: ..., ... } ] } |
| Fields | |
|---|---|
code |
The status code, which should be an enum value of |
message |
A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the |
details[] |
A list of messages that carry the error details. There is a common set of message types for APIs to use. An object containing fields of an arbitrary type. An additional field |
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ❌ | Open World Hint: ❌